> ## Documentation Index
> Fetch the complete documentation index at: https://postflow.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get post

> Returns a single post group by ID. All relationships data included.



## OpenAPI

````yaml /public/api.json get /posts/{post}
openapi: 3.1.0
info:
  title: PostFlow
  version: '1'
  description: >-
    The PostFlow API gives you access to analytics data from your PostFlow
    organization and provides you with tools for scheduling and publishing
    social media posts directly from your own application, automation tool, or
    AI assistant.


    ### What is PostFlow?

    PostFlow is a social media management platform designed to help teams and
    creators plan, collaborate, and publish social media content.


    ### Base URL

    The base URL for the PostFlow API is:


    ```http

    https://api.postflow.app/v1

    ```


    For media requests use base URL:

    ```http

    https://media.postflow.app/api/v1

    ```



    ### Authentication

    All API requests require a bearer token in the Authorization header.


    You can generate an API token from your [PostFlow account
    settings](https://new.postflow.app/settings/account/api). Once you have your
    token, include it in the Authorization header of your API requests as
    follows:



    ```http

    Authorization: Bearer YOUR_API_TOKEN

    ```



    ### Headers


    API requests must include the following headers:


    ```http

    Accept: application/json

    Content-Type: application/json

    ```


    ### Make your first request

    Once you have a token, you can make requests directly to the API. The
    following example returns basic information about your organization:


    ```bash

    curl https://api.postflow.app/v1/organizations \
      -H "Authorization: Bearer YOUR_API_TOKEN" \
      -H "Accept: application/json"
    ```


    ## Rate limits


    The PostFlow API implements rate limiting to ensure fair usage and protect
    against abuse. The default limit is **60 requests per minute** per
    authenticated user.


    Each API response includes the following headers with information about your
    current rate limit status:


    - `X-RateLimit-Limit` - maximum number of requests allowed per minute

    - `X-RateLimit-Remaining` - number of requests remaining in the current
    window

    - `X-RateLimit-Reset` - Unix timestamp when the rate limit resets


    ## PostFlow IDs


    Every object in the PostFlow API has a unique ID. PostFlow uses a system
    called "Snowflake ID" created by Twitter.


    These IDs are **64-bit unsigned integers**. Some programming languages
    (JavaScript) cannot accurately represent 64-bit integers.


    > **Warning:** You must **ALWAYS** use strings for PostFlow IDs in your
    code.



    ### String vs integer in Javascript


    In JavaScript, integers are limited to 53 bits. This causes precision loss
    with large IDs:


    ```javascript

    // This loses precision!

    const id = 10765432100123456789;

    console.log(id.toString()); // "10765432100123458000" — wrong!


    // Use strings instead

    const id = "10765432100123456789";

    console.log(id); // "10765432100123456789" — correct!

    ```


    ### Comparing IDs


    Examples of how you can compare PostFlow IDs:



    ```javascript javascript

    // Use BigInt


    if (BigInt(post1.id) > BigInt(post2.id)) {
        console.log("post1 is newer");
    }

    ```


    ```python python

    # Python handles large integers natively


    if post1.id > post2.id:
        print("post1 is newer")
    ```


    ```php php

    # PHP is safe with 64-bit integers


    if (post1->id > post2->id) {
        dd("post1 is newer");
    }

    ```


    ## Relationships & includes


    Some endpoints support the `include` query parameter to enrich the response
    with related resources. Pass a comma-separated list of relationship names to
    load them alongside the primary data.


    ```http

    GET /posts?include=media

    ```


    Multiple relationships can be included by separating them with a comma:


    ```http

    GET /posts?include=media,labels,postComments

    ```


    ## OpenAPI collection


    The raw OpenAPI specifications for the PostFlow API are available below.
    They can be used with various API tools and code generators that support the
    OpenAPI format.


    - [PostFlow API](https://postflow.app/docs/public/api.json)

    - [Media API](https://postflow.app/docs/public/media.json)


    > You can copy the above URLs to import them into API tools such as Postman.
servers:
  - url: https://api.postflow.app/v1
security:
  - http: []
tags:
  - name: User
  - name: Organization
  - name: Social accounts
  - name: Posts
  - name: Posts bulk
  - name: Post activities
  - name: Post metrics
  - name: Analytics
  - name: Widgets
  - name: Calendar notes
  - name: Groups
  - name: Labels
paths:
  /posts/{post}:
    get:
      tags:
        - Posts
      summary: Get post
      description: Returns a single post group by ID. All relationships data included.
      operationId: post.show
      parameters:
        - name: post
          in: path
          required: true
          description: The post ID
          schema:
            type: string
      responses:
        '200':
          description: '`PostData`'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PostData'
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    PostData:
      type: object
      properties:
        id:
          type: string
        public_id:
          type: string
          description: >-
            If `is_publicly_shared` is true, you can use this ID to construct a
            link for public sharing.


            https://new.postflow.app/p/PUBLIC_ID
        organization_id:
          type: string
        user_id:
          type:
            - string
            - 'null'
          description: The ID of the user who created the post
        post_id:
          type:
            - string
            - 'null'
        cu_task_id:
          type:
            - string
            - 'null'
          description: |-
            The ClickUp task ID associated with this PostFlow post.

            Available only if you have an active ClickUp integration
        name:
          type:
            - string
            - 'null'
          description: >-
            Post name for better visibility. Only for internal post annotation
            in PostFlow
        status:
          $ref: '#/components/schemas/PostStatus'
        note:
          type:
            - string
            - 'null'
          description: Internal note for the post
        visible_for_client:
          type: boolean
        content:
          type:
            - string
            - 'null'
        content_weighted_length:
          type: integer
          description: >-
            The content length calculated using weighted character counting,
            where some characters (such as emojis or certain Unicode characters)
            may count as multiple characters
        has_customized_content:
          type: boolean
          description: Indicates whether the content is customized for some social networks
        locations:
          type: array
          items:
            $ref: '#/components/schemas/MetaPageLocationData'
        image_tags:
          type: array
          items:
            $ref: '#/components/schemas/MediaTagData'
        selected_media_ids:
          type: array
          description: >-
            A list of media IDs to be used for the post. The order of the media
            in the published post depends on the order in this field
          items:
            type: string
        first_comments:
          anyOf:
            - $ref: '#/components/schemas/FirstComments'
            - type: 'null'
        publication_date:
          type:
            - string
            - 'null'
          format: date-time
          description: The publication date for this post in UTC timezone
          examples:
            - '2026-06-14T09:00:00.000Z'
        publication_timestamp:
          type:
            - integer
            - 'null'
          description: UNIX timestamp format of `publication_date`
          examples:
            - 1781427600000
        customized_publication_date:
          type:
            - array
            - 'null'
          items:
            type: string
        publication_delay_between:
          type: integer
          description: >-
            Delay in minutes between posts during publishing.



            Example:

            - 3 social accounts selected

            - publication_delay_between = 10


            The first post will be published at 9:00, the second at 9:10, and
            the third at 9:20
        fb_post_type:
          anyOf:
            - $ref: '#/components/schemas/FacebookPostType'
            - type: 'null'
        fb_video_title:
          type:
            - string
            - 'null'
        ig_post_type:
          anyOf:
            - $ref: '#/components/schemas/InstagramPostType'
            - type: 'null'
        ig_collaborators:
          type: array
          items:
            type: string
        ig_share_to_feed:
          type: boolean
        ig_allow_comments:
          type: boolean
        ig_audio_name:
          type:
            - string
            - 'null'
        li_post_type:
          anyOf:
            - $ref: '#/components/schemas/LinkedInPostType'
            - type: 'null'
        li_carousel_title:
          type:
            - string
            - 'null'
        li_poll:
          anyOf:
            - $ref: '#/components/schemas/LinkedInPoll'
            - type: 'null'
        tt_post_type:
          anyOf:
            - $ref: '#/components/schemas/TikTokPostType'
            - type: 'null'
        tt_privacy_level:
          anyOf:
            - $ref: '#/components/schemas/TikTokPrivacyLevel'
            - type: 'null'
        tt_carousel_title:
          type:
            - string
            - 'null'
        tt_disable_duet:
          type: boolean
        tt_disable_stitch:
          type: boolean
        tt_disable_comment:
          type: boolean
        tt_brand_content:
          type: boolean
        tt_brand_organic:
          type: boolean
        tt_auto_music:
          type: boolean
        tt_is_aigc:
          type: boolean
        pi_pin_title:
          type:
            - string
            - 'null'
        pi_url_link:
          type:
            - string
            - 'null'
        pi_boards:
          type:
            - array
            - 'null'
          items:
            type: string
        pi_sections:
          type:
            - array
            - 'null'
          items:
            type: string
        pi_is_standard_pin:
          type: boolean
        gb_post_type:
          anyOf:
            - $ref: '#/components/schemas/GoogleBusinessPostType'
            - type: 'null'
        gb_event_title:
          type:
            - string
            - 'null'
        gb_start_date:
          type:
            - string
            - 'null'
          format: date-time
        gb_end_date:
          type:
            - string
            - 'null'
          format: date-time
        gb_use_time:
          type: boolean
        gb_action_type:
          anyOf:
            - $ref: '#/components/schemas/GoogleBusinessActionType'
            - type: 'null'
        gb_action_url:
          type:
            - string
            - 'null'
        gb_coupon_code:
          type:
            - string
            - 'null'
        gb_redeem_url:
          type:
            - string
            - 'null'
        gb_term_conditions:
          type:
            - string
            - 'null'
        yt_post_type:
          anyOf:
            - $ref: '#/components/schemas/YouTubePostType'
            - type: 'null'
        yt_video_title:
          type:
            - string
            - 'null'
        yt_video_tags:
          type: array
          items:
            type: string
        yt_categories:
          type:
            - array
            - 'null'
          items:
            type: string
        yt_playlists:
          type:
            - array
            - 'null'
          items:
            type: string
        yt_privacy_level:
          anyOf:
            - $ref: '#/components/schemas/YouTubePrivacyLevel'
            - type: 'null'
        yt_license:
          anyOf:
            - $ref: '#/components/schemas/YouTubeLicense'
            - type: 'null'
        yt_embeddable:
          type: boolean
        yt_notify_subscribers:
          type: boolean
        yt_made_for_kids:
          type: boolean
        dr_title:
          type:
            - string
            - 'null'
        dr_tags:
          type: array
          items:
            type: string
        tw_post_type:
          anyOf:
            - $ref: '#/components/schemas/TwitterPostType'
            - type: 'null'
        tw_poll:
          type:
            - array
            - 'null'
          items:
            type: string
        tw_reply_settings:
          anyOf:
            - $ref: '#/components/schemas/TwitterReplySettings'
            - type: 'null'
        th_post_type:
          anyOf:
            - $ref: '#/components/schemas/ThreadsPostType'
            - type: 'null'
        th_poll:
          type:
            - array
            - 'null'
          items:
            type: string
        th_topic_tag:
          type:
            - string
            - 'null'
        customized:
          type:
            - object
            - 'null'
          description: >-
            Per-network content customization, keyed by social network
            identifier
          properties:
            twitter:
              $ref: '#/components/schemas/CustomizedData'
            linkedin:
              $ref: '#/components/schemas/CustomizedData'
            facebook:
              $ref: '#/components/schemas/CustomizedData'
            instagram:
              $ref: '#/components/schemas/CustomizedData'
            tiktok:
              $ref: '#/components/schemas/CustomizedData'
            bluesky:
              $ref: '#/components/schemas/CustomizedData'
            pinterest:
              $ref: '#/components/schemas/CustomizedData'
            google_business_profile:
              $ref: '#/components/schemas/CustomizedData'
            youtube:
              $ref: '#/components/schemas/CustomizedData'
            threads:
              $ref: '#/components/schemas/CustomizedData'
            snapchat:
              $ref: '#/components/schemas/CustomizedData'
            dribbble:
              $ref: '#/components/schemas/CustomizedData'
            tumblr:
              $ref: '#/components/schemas/CustomizedData'
        is_publicly_shared:
          type: boolean
        guest_approver_name:
          type:
            - string
            - 'null'
        everyone_must_approve:
          type: boolean
          description: >-
            If multiple assignees are selected, this determines whether all of
            them must approve or if just one approval is needed.


            Only for Strict approval workflows
        should_skip:
          type: boolean
          description: >-
            If `true`, post will not be published. The post will change its
            status to Skipped
        approved_at:
          type:
            - string
            - 'null'
          format: date-time
        published_at:
          type:
            - string
            - 'null'
          format: date-time
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
        user:
          anyOf:
            - $ref: '#/components/schemas/UserData'
              description: >-
                Relationships data on request. Depends on the endpoint and the
                `include` parameter
            - type: 'null'
        socialAccounts:
          type: array
          description: >-
            Relationships data on request. Depends on the endpoint and the
            `include` parameter
          default: []
          items:
            $ref: '#/components/schemas/SocialAccountData'
        comments:
          type: array
          description: >-
            Relationships data on request. Depends on the endpoint and the
            `include` parameter
          default: []
          items:
            $ref: '#/components/schemas/PostCommentData'
        tasks:
          type: array
          description: >-
            Relationships data on request. Depends on the endpoint and the
            `include` parameter
          default: []
          items:
            $ref: '#/components/schemas/PostTaskData'
        details:
          type: array
          description: >-
            Relationships data on request. Depends on the endpoint and the
            `include` parameter
          default: []
          items:
            $ref: '#/components/schemas/PostDetailData'
        media:
          type: array
          description: >-
            Relationships data on request. Depends on the endpoint and the
            `include` parameter
          default: []
          items:
            $ref: '#/components/schemas/MediaData'
        labels:
          type: array
          description: >-
            Relationships data on request. Depends on the endpoint and the
            `include` parameter
          default: []
          items:
            $ref: '#/components/schemas/LabelData'
        approvals:
          type: array
          description: >-
            Relationships data on request. Depends on the endpoint and the
            `include` parameter
          default: []
          items:
            $ref: '#/components/schemas/PostApprovalData'
        selectedAccountIds:
          type: array
          description: >-
            The IDs of the social media accounts selected where the post will be
            published
          default: []
          items:
            type: string
        assigneesIds:
          type: array
          description: IDs of users selected as assignees
          default: []
          items:
            type: string
        source:
          anyOf:
            - $ref: '#/components/schemas/ActivitySource'
              description: >-
                Describes how the post was created


                `1` Web <br/> `2` Api <br/> `3` Mcp <br/> `4` ClickUp <br/> `5`
                CsvImport <br/> `6` ExternalSync
            - type: 'null'
        cu_creator_name:
          type:
            - string
            - 'null'
          description: >-
            Creator name of the post in Clickup. Will only be available if the
            post was created in ClickUp
      required:
        - id
        - public_id
        - organization_id
        - user_id
        - post_id
        - cu_task_id
        - name
        - status
        - note
        - visible_for_client
        - content
        - content_weighted_length
        - has_customized_content
        - locations
        - image_tags
        - selected_media_ids
        - first_comments
        - publication_date
        - publication_timestamp
        - customized_publication_date
        - publication_delay_between
        - fb_post_type
        - fb_video_title
        - ig_post_type
        - ig_collaborators
        - ig_share_to_feed
        - ig_allow_comments
        - ig_audio_name
        - li_post_type
        - li_carousel_title
        - li_poll
        - tt_post_type
        - tt_privacy_level
        - tt_carousel_title
        - tt_disable_duet
        - tt_disable_stitch
        - tt_disable_comment
        - tt_brand_content
        - tt_brand_organic
        - tt_auto_music
        - tt_is_aigc
        - pi_pin_title
        - pi_url_link
        - pi_boards
        - pi_sections
        - pi_is_standard_pin
        - gb_post_type
        - gb_event_title
        - gb_start_date
        - gb_end_date
        - gb_use_time
        - gb_action_type
        - gb_action_url
        - gb_coupon_code
        - gb_redeem_url
        - gb_term_conditions
        - yt_post_type
        - yt_video_title
        - yt_video_tags
        - yt_categories
        - yt_playlists
        - yt_privacy_level
        - yt_license
        - yt_embeddable
        - yt_notify_subscribers
        - yt_made_for_kids
        - dr_title
        - dr_tags
        - tw_post_type
        - tw_poll
        - tw_reply_settings
        - th_post_type
        - th_poll
        - th_topic_tag
        - customized
        - is_publicly_shared
        - guest_approver_name
        - everyone_must_approve
        - should_skip
        - approved_at
        - published_at
        - created_at
        - updated_at
        - user
        - socialAccounts
        - comments
        - tasks
        - details
        - media
        - labels
        - approvals
        - selectedAccountIds
        - assigneesIds
        - source
        - cu_creator_name
      title: PostData
    PostStatus:
      type: integer
      enum:
        - 1
        - 5
        - 10
        - 15
        - 20
        - 25
        - 30
        - 35
        - 37
        - 40
        - 50
      x-enum-varnames:
        - NotSchedule
        - Draft
        - InReview
        - ReviewRejected
        - ReviewMissed
        - Scheduled
        - InProgress
        - Failed
        - Skipped
        - Published
        - Deleted
      description: >-
        `1` NotSchedule <br/> `5` Draft <br/> `10` InReview <br/> `15`
        ReviewRejected <br/> `20` ReviewMissed <br/> `25` Scheduled <br/> `30`
        InProgress <br/> `35` Failed <br/> `37` Skipped <br/> `40` Published
        <br/> `50` Deleted
      title: PostStatus
    MetaPageLocationData:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        location:
          type: array
          items:
            type: string
          minItems: 1
        network:
          anyOf:
            - $ref: '#/components/schemas/SocialNetwork'
            - type: 'null'
        followers_count:
          type:
            - integer
            - 'null'
        username:
          type:
            - string
            - 'null'
      required:
        - id
        - name
        - location
        - network
        - followers_count
        - username
      title: MetaPageLocationData
    MediaTagData:
      type: object
      properties:
        id:
          type: string
        media_id:
          type: string
        network:
          $ref: '#/components/schemas/SocialNetwork'
        x:
          type: number
        'y':
          type: number
        mode:
          type: string
          default: user
        username:
          type:
            - string
            - 'null'
        social_account_id:
          type:
            - string
            - 'null'
        product:
          type:
            - array
            - 'null'
          items:
            type: string
      required:
        - id
        - media_id
        - network
        - x
        - 'y'
        - mode
        - username
        - social_account_id
        - product
      title: MediaTagData
    FirstComments:
      type: object
      properties:
        enabled:
          type: boolean
        socialAccountIds:
          type: array
          items:
            type: string
        conditionType:
          anyOf:
            - $ref: '#/components/schemas/PostCondition'
            - type: 'null'
        conditionValue:
          type:
            - integer
            - 'null'
        content:
          type:
            - string
            - 'null'
        customized:
          anyOf:
            - $ref: '#/components/schemas/FirstCommentsCustomized'
            - type: 'null'
      required:
        - enabled
        - socialAccountIds
        - conditionType
        - conditionValue
        - content
        - customized
      title: FirstComments
    FacebookPostType:
      type: integer
      enum:
        - 1
        - 2
        - 3
        - 4
        - 5
      x-enum-varnames:
        - Feed
        - Reel
        - Story
        - Carousel
        - PageCover
      description: >-
        `1` Feed <br/> `2` Reel <br/> `3` Story <br/> `4` Carousel <br/> `5`
        PageCover
      title: FacebookPostType
    InstagramPostType:
      type: integer
      enum:
        - 1
        - 2
        - 3
      x-enum-varnames:
        - Feed
        - Reel
        - Story
      description: '`1` Feed <br/> `2` Reel <br/> `3` Story'
      title: InstagramPostType
    LinkedInPostType:
      type: integer
      enum:
        - 1
        - 2
        - 3
      x-enum-varnames:
        - Normal
        - Poll
        - Carousel
      description: '`1` Normal <br/> `2` Poll <br/> `3` Carousel'
      title: LinkedInPostType
    LinkedInPoll:
      type: object
      properties:
        question:
          type:
            - string
            - 'null'
        option_1:
          type:
            - string
            - 'null'
        option_2:
          type:
            - string
            - 'null'
        option_3:
          type:
            - string
            - 'null'
        option_4:
          type:
            - string
            - 'null'
        duration:
          anyOf:
            - $ref: '#/components/schemas/LinkedInPollDuration'
            - type: 'null'
      required:
        - question
        - option_1
        - option_2
        - option_3
        - option_4
        - duration
      title: LinkedInPoll
    TikTokPostType:
      type: integer
      enum:
        - 1
        - 2
      x-enum-varnames:
        - Video
        - ImageCarousel
      description: '`1` Video <br/> `2` ImageCarousel'
      title: TikTokPostType
    TikTokPrivacyLevel:
      type: integer
      enum:
        - 1
        - 2
        - 3
        - 4
      x-enum-varnames:
        - PublicToEveryone
        - MutualFollowFriends
        - SelfOnly
        - FollowerOfCreator
      description: >-
        `1` PublicToEveryone <br/> `2` MutualFollowFriends <br/> `3` SelfOnly
        <br/> `4` FollowerOfCreator
      title: TikTokPrivacyLevel
    GoogleBusinessPostType:
      type: integer
      enum:
        - 1
        - 2
        - 3
      x-enum-varnames:
        - Standard
        - Event
        - Offer
      description: '`1` Standard <br/> `2` Event <br/> `3` Offer'
      title: GoogleBusinessPostType
    GoogleBusinessActionType:
      type: integer
      enum:
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
      x-enum-varnames:
        - Book
        - Order
        - Shop
        - LearnMore
        - SignUp
        - Call
      description: >-
        `1` Book <br/> `2` Order <br/> `3` Shop <br/> `4` LearnMore <br/> `5`
        SignUp <br/> `6` Call
      title: GoogleBusinessActionType
    YouTubePostType:
      type: integer
      enum:
        - 1
        - 2
      x-enum-varnames:
        - Video
        - Shorts
      description: '`1` Video <br/> `2` Shorts'
      title: YouTubePostType
    YouTubePrivacyLevel:
      type: integer
      enum:
        - 1
        - 2
        - 3
      x-enum-varnames:
        - Public
        - Private
        - Unlisted
      description: '`1` Public <br/> `2` Private <br/> `3` Unlisted'
      title: YouTubePrivacyLevel
    YouTubeLicense:
      type: integer
      enum:
        - 1
        - 2
      x-enum-varnames:
        - StandardYouTubeLicense
        - CreativeCommons
      description: '`1` StandardYouTubeLicense <br/> `2` CreativeCommons'
      title: YouTubeLicense
    TwitterPostType:
      type: integer
      enum:
        - 1
        - 2
      x-enum-varnames:
        - Normal
        - Poll
      description: '`1` Normal <br/> `2` Poll'
      title: TwitterPostType
    TwitterReplySettings:
      type: integer
      enum:
        - 1
        - 2
        - 3
        - 4
      x-enum-varnames:
        - Following
        - MentionedUsers
        - Subscribers
        - Verified
      description: >-
        `1` Following <br/> `2` MentionedUsers <br/> `3` Subscribers <br/> `4`
        Verified
      title: TwitterReplySettings
    ThreadsPostType:
      type: integer
      enum:
        - 1
        - 2
      x-enum-varnames:
        - Normal
        - Poll
      description: '`1` Normal <br/> `2` Poll'
      title: ThreadsPostType
    CustomizedData:
      type: object
      properties:
        content:
          type:
            - string
            - 'null'
        content_json:
          type:
            - string
            - 'null'
        media_ids:
          type: array
          items:
            type: string
      required:
        - content
        - content_json
        - media_ids
      title: CustomizedData
    UserData:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        email:
          type: string
        phone:
          type:
            - string
            - 'null'
        inviter_id:
          type:
            - string
            - 'null'
          description: The ID of the user who invited the user to the organization
        organization_id:
          type: string
        role:
          $ref: '#/components/schemas/UserRole'
        is_client:
          type: boolean
        can_approve:
          type: boolean
          description: Determines whether the user can approve posts
        can_connect_account:
          type: boolean
          description: >-
            Determines whether the user can connect social media accounts to the
            organization
        can_access_all_groups:
          type: boolean
          description: >-
            Determines whether the user has permissions to all groups in the
            organization. If not, check the permissions for the individual
            groups in `groupIds`
        self_approval:
          type: boolean
          description: >-
            Automatically grant your approval when you assign yourself as the
            assignee
        time_format_24:
          type: boolean
          description: The user's preferred time format
        week_start_day:
          $ref: '#/components/schemas/WeekDay'
          description: >-
            The user's preferred start of the calendar week


            `0` Sunday <br/> `1` Monday <br/> `2` Tuesday <br/> `3` Wednesday
            <br/> `4` Thursday <br/> `5` Friday <br/> `6` Saturday
        date_format:
          $ref: '#/components/schemas/DateFormat'
          description: |-
            The user's preferred date format

            `1` DMY <br/> `2` MDY <br/> `3` YMD
        color:
          $ref: '#/components/schemas/BaseColor'
        avatar:
          type:
            - string
            - 'null'
          description: URL to the profile image of the user
        invited_at:
          type:
            - string
            - 'null'
          format: date-time
          description: The date the user was invited to join the organization
        created_at:
          type: string
          format: date-time
          description: The date the user signed up
        open_cu_links_in_app:
          type: boolean
          description: >-
            The user's preference for how to open ClickUp links, in the app or
            in a browser
          default: false
        groupIds:
          type: array
          description: >-
            The IDs of the groups the user has access to. Always check
            `can_access_all_groups` first to see if the user has access to all
            groups.


            If the user has permissions to all groups, this value will be an
            empty array
          default: []
          items:
            type: string
      required:
        - id
        - name
        - email
        - phone
        - inviter_id
        - organization_id
        - role
        - is_client
        - can_approve
        - can_connect_account
        - can_access_all_groups
        - self_approval
        - time_format_24
        - week_start_day
        - date_format
        - color
        - avatar
        - invited_at
        - created_at
        - open_cu_links_in_app
        - groupIds
      title: UserData
    SocialAccountData:
      type: object
      properties:
        id:
          type: string
        socialNetwork:
          $ref: '#/components/schemas/SocialNetwork'
        organization_id:
          type: string
        user_id:
          type:
            - string
            - 'null'
          description: ID of user who connected social account
        group_id:
          type:
            - string
            - 'null'
          description: The ID of the group to which the social account belongs
        name:
          type:
            - string
            - 'null'
          description: Display name of the social media account
        custom_name:
          type:
            - string
            - 'null'
          description: Custom name to easily recognize this account in PostFlow
        username:
          type:
            - string
            - 'null'
          description: Username for the social media account
        headline:
          type:
            - string
            - 'null'
          description: Headline / bio of the social media account
        followers_count:
          type:
            - integer
            - 'null'
          description: Number of followers, updated once a day
        verified:
          type: boolean
          description: Checks whether the account is verified on the network
        profile_link:
          type:
            - string
            - 'null'
          description: URL to the profile
        avatar_link:
          type:
            - string
            - 'null'
          description: URL to the profile picture of the social account
        social_id:
          type:
            - string
            - 'null'
          description: Unique identifier for the account on the social network
        pi_boards:
          type: array
          description: Pinterest boards for this account
          items:
            $ref: '#/components/schemas/PinterestBoardData'
        pi_default_board_id:
          type:
            - string
            - 'null'
          description: Default Pinterest board ID
        pi_default_section_id:
          type:
            - string
            - 'null'
          description: Default Pinterest board section ID
        ig_shopping_product_tag_eligibility:
          type: boolean
          description: >-
            Determines whether an Instagram account is eligible to tag products
            from the catalog
        yt_playlists:
          type:
            - array
            - 'null'
          description: YouTube playlists for this account
          items:
            type: string
        yt_categories:
          type:
            - array
            - 'null'
          description: YouTube categories for this account
          items:
            type: string
        connection_expired_at:
          type:
            - string
            - 'null'
          format: date-time
          description: >-
            The date on which the access token expired. If this value is not
            null, you must manually refresh the connection for the account
        external_sync_enabled:
          type: boolean
          description: >-
            Automatically sync posts that were published on this account outside
            of PostFlow
        created_at:
          type: string
          format: date-time
          description: The date the account was first connected to PostFlow
        user:
          anyOf:
            - $ref: '#/components/schemas/UserData'
              description: >-
                User who connected social account. This data is not always
                available, depends on the endpoint and the `include` parameter
            - type: 'null'
      required:
        - id
        - socialNetwork
        - organization_id
        - user_id
        - group_id
        - name
        - custom_name
        - username
        - headline
        - followers_count
        - verified
        - profile_link
        - avatar_link
        - social_id
        - pi_boards
        - pi_default_board_id
        - pi_default_section_id
        - ig_shopping_product_tag_eligibility
        - yt_playlists
        - yt_categories
        - connection_expired_at
        - external_sync_enabled
        - created_at
        - user
      title: SocialAccountData
    PostCommentData:
      type: object
      properties:
        id:
          type: string
        post_id:
          type: string
        user_id:
          type:
            - string
            - 'null'
        user:
          anyOf:
            - $ref: '#/components/schemas/UserData'
            - type: 'null'
        guest_name:
          type:
            - string
            - 'null'
        content:
          type:
            - string
            - 'null'
        content_json:
          type:
            - string
            - 'null'
        is_internal:
          type: boolean
        is_rejected:
          type: boolean
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        media:
          type: array
          items:
            $ref: '#/components/schemas/MediaData'
      required:
        - id
        - post_id
        - user_id
        - user
        - guest_name
        - content
        - content_json
        - is_internal
        - is_rejected
        - created_at
        - updated_at
        - media
      title: PostCommentData
    PostTaskData:
      type: object
      properties:
        id:
          type: string
        post_id:
          type: string
          description: The post ID associated with the task
        author_id:
          type: string
          description: The ID of the user who created the task
        content:
          type:
            - string
            - 'null'
        content_json:
          type:
            - string
            - 'null'
        resolved_at:
          type:
            - string
            - 'null'
          format: date-time
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - id
        - post_id
        - author_id
        - content
        - content_json
        - resolved_at
        - created_at
        - updated_at
      title: PostTaskData
    PostDetailData:
      type: object
      properties:
        id:
          type: string
        social_network:
          $ref: '#/components/schemas/SocialNetwork'
        post_type:
          anyOf:
            - $ref: '#/components/schemas/PostType'
            - type: 'null'
        post_id:
          type: string
        social_account_id:
          type: string
        enabled:
          type: boolean
        is_customized:
          type: boolean
        status:
          $ref: '#/components/schemas/PostStatus'
        stories:
          type:
            - array
            - 'null'
          items:
            type: string
        is_story:
          type: boolean
        published_at:
          type:
            - string
            - 'null'
          format: date-time
        user_error_message:
          type:
            - string
            - 'null'
        content:
          type:
            - string
            - 'null'
        link_preview:
          $ref: '#/components/schemas/PostLinkPreview'
        post_link:
          type:
            - string
            - 'null'
        firstComment:
          anyOf:
            - $ref: '#/components/schemas/PostFirstCommentData'
            - type: 'null'
      required:
        - id
        - social_network
        - post_type
        - post_id
        - social_account_id
        - enabled
        - is_customized
        - status
        - stories
        - is_story
        - published_at
        - user_error_message
        - content
        - link_preview
        - post_link
        - firstComment
      title: PostDetailData
    MediaData:
      type: object
      properties:
        id:
          type: string
        organization_id:
          type: string
        user_id:
          type:
            - string
            - 'null'
          description: The ID of the user who uploaded the media
        media_folder_id:
          type:
            - string
            - 'null'
        is_media_library:
          type: boolean
          description: Determines whether the media is part of the media library
        type:
          $ref: '#/components/schemas/MediaType'
        url:
          type: string
        client_name:
          type:
            - string
            - 'null'
        file_name:
          type: string
        mime_type:
          type: string
        extension:
          type: string
        size:
          type: integer
        thumbnail:
          type:
            - string
            - 'null'
        preview:
          type:
            - string
            - 'null'
        width:
          type:
            - integer
            - 'null'
        height:
          type:
            - integer
            - 'null'
        aspect_ratio:
          type:
            - number
            - 'null'
        duration:
          type:
            - number
            - 'null'
        fps:
          type:
            - number
            - 'null'
        video_thumbnail_frame:
          type:
            - string
            - 'null'
        video_thumbnail_custom:
          type:
            - string
            - 'null'
        video_thumbnail_time:
          type:
            - number
            - 'null'
        page_count:
          type:
            - integer
            - 'null'
          description: Number of pages in the PDF document
        page_previews:
          type: array
          items:
            type: string
        conversions:
          type:
            - array
            - 'null'
          items:
            type: string
        alt_text:
          type:
            - string
            - 'null'
        pivot_alt_text:
          type:
            - array
            - 'null'
          items:
            type: string
        note:
          type:
            - string
            - 'null'
        origin:
          anyOf:
            - $ref: '#/components/schemas/MediaOrigin'
            - type: 'null'
        is_processing:
          type: boolean
        is_converted:
          type: boolean
          description: >-
            The media has been converted to ensure compatibility with social
            platforms
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - organization_id
        - user_id
        - media_folder_id
        - is_media_library
        - type
        - url
        - client_name
        - file_name
        - mime_type
        - extension
        - size
        - thumbnail
        - preview
        - width
        - height
        - aspect_ratio
        - duration
        - fps
        - video_thumbnail_frame
        - video_thumbnail_custom
        - video_thumbnail_time
        - page_count
        - page_previews
        - conversions
        - alt_text
        - pivot_alt_text
        - note
        - origin
        - is_processing
        - is_converted
        - created_at
        - updated_at
      title: MediaData
    LabelData:
      type: object
      properties:
        id:
          type: string
        organization_id:
          type: string
        group_id:
          type:
            - string
            - 'null'
          description: >-
            If `group_id` is provided, the label is available only in that
            group, if `null`, the label is available in all groups
        name:
          type: string
        color:
          $ref: '#/components/schemas/BaseColor'
      required:
        - id
        - organization_id
        - group_id
        - name
        - color
      title: LabelData
    PostApprovalData:
      type: object
      properties:
        id:
          type: string
        post_id:
          type: string
        user_id:
          type: string
        level:
          type: integer
        approved_at:
          type:
            - string
            - 'null'
          format: date-time
        rejected_at:
          type:
            - string
            - 'null'
          format: date-time
        notified_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - post_id
        - user_id
        - level
        - approved_at
        - rejected_at
        - notified_at
      title: PostApprovalData
    ActivitySource:
      type: integer
      enum:
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
      x-enum-varnames:
        - Web
        - Api
        - Mcp
        - ClickUp
        - CsvImport
        - ExternalSync
      description: >-
        `1` Web <br/> `2` Api <br/> `3` Mcp <br/> `4` ClickUp <br/> `5`
        CsvImport <br/> `6` ExternalSync
      title: ActivitySource
    SocialNetwork:
      type: string
      enum:
        - twitter
        - linkedin
        - linkedin_page
        - facebook
        - instagram
        - tiktok
        - bluesky
        - pinterest
        - google_business_profile
        - youtube
        - threads
        - snapchat
        - dribbble
        - tumblr
      x-enum-varnames:
        - Twitter
        - LinkedIn
        - LinkedInPage
        - FacebookPage
        - Instagram
        - TikTok
        - Bluesky
        - Pinterest
        - GoogleBusinessProfile
        - YouTube
        - Threads
        - Snapchat
        - Dribbble
        - Tumblr
      title: SocialNetwork
    PostCondition:
      type: integer
      enum:
        - 1
        - 2
        - 3
        - 4
        - 5
      x-enum-varnames:
        - Delay
        - Likes
        - Replies
        - Shares
        - Views
      description: >-
        `1` Delay <br/> `2` Likes <br/> `3` Replies <br/> `4` Shares <br/> `5`
        Views
      title: PostCondition
    FirstCommentsCustomized:
      type: object
      properties:
        linkedin:
          $ref: '#/components/schemas/FirstCommentsCustomizedAccount'
        instagram:
          $ref: '#/components/schemas/FirstCommentsCustomizedAccount'
        facebook:
          $ref: '#/components/schemas/FirstCommentsCustomizedAccount'
        youtube:
          $ref: '#/components/schemas/FirstCommentsCustomizedAccount'
        threads:
          $ref: '#/components/schemas/FirstCommentsCustomizedAccount'
        bluesky:
          $ref: '#/components/schemas/FirstCommentsCustomizedAccount'
        twitter:
          $ref: '#/components/schemas/FirstCommentsCustomizedAccount'
      required:
        - linkedin
        - instagram
        - facebook
        - youtube
        - threads
        - bluesky
        - twitter
      title: FirstCommentsCustomized
    LinkedInPollDuration:
      type: string
      enum:
        - ONE_DAY
        - THREE_DAYS
        - SEVEN_DAYS
        - FOURTEEN_DAYS
      x-enum-varnames:
        - Day
        - ThreeDays
        - OneWeek
        - TwoWeeks
      title: LinkedInPollDuration
    UserRole:
      type: string
      enum:
        - owner
        - manager
        - member
        - viewer
      x-enum-varnames:
        - Owner
        - Manager
        - Member
        - Viewer
      title: UserRole
    WeekDay:
      type: integer
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
      x-enum-varnames:
        - Sunday
        - Monday
        - Tuesday
        - Wednesday
        - Thursday
        - Friday
        - Saturday
      description: >-
        `0` Sunday <br/> `1` Monday <br/> `2` Tuesday <br/> `3` Wednesday <br/>
        `4` Thursday <br/> `5` Friday <br/> `6` Saturday
      title: WeekDay
    DateFormat:
      type: integer
      enum:
        - 1
        - 2
        - 3
      x-enum-varnames:
        - DMY
        - MDY
        - YMD
      description: '`1` DMY <br/> `2` MDY <br/> `3` YMD'
      title: DateFormat
    BaseColor:
      type: integer
      enum:
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 9
      x-enum-varnames:
        - Red
        - Green
        - Blue
        - Yellow
        - Orange
        - Pink
        - Purple
        - Sky
        - Gray
      description: >-
        `1` Red <br/> `2` Green <br/> `3` Blue <br/> `4` Yellow <br/> `5` Orange
        <br/> `6` Pink <br/> `7` Purple <br/> `8` Sky <br/> `9` Gray
      title: BaseColor
    PinterestBoardData:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        privacy:
          type: string
        description:
          type:
            - string
            - 'null'
        image_cover_url:
          type:
            - string
            - 'null'
        sections:
          type: array
          default: []
          items:
            $ref: '#/components/schemas/PinterestBoardSectionData'
      required:
        - id
        - name
        - privacy
        - description
        - image_cover_url
        - sections
      title: PinterestBoardData
    PostType:
      type: string
      enum:
        - text
        - link
        - image
        - video
        - short
        - carousel
        - poll
        - story
        - audio
        - document
        - gallery
      x-enum-varnames:
        - Text
        - Link
        - Image
        - Video
        - Short
        - Carousel
        - Poll
        - Story
        - Audio
        - Document
        - Gallery
      title: PostType
    PostLinkPreview:
      type: object
      properties:
        url:
          type:
            - string
            - 'null'
        host:
          type:
            - string
            - 'null'
        title:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        image_url:
          type:
            - string
            - 'null'
      required:
        - url
        - host
        - title
        - description
        - image_url
      title: PostLinkPreview
    PostFirstCommentData:
      type: object
      properties:
        id:
          type: string
        condition_type:
          anyOf:
            - $ref: '#/components/schemas/PostCondition'
            - type: 'null'
        condition_value:
          type: integer
        publishing_failed:
          type: boolean
        user_error_message:
          type:
            - string
            - 'null'
        published_at:
          type:
            - string
            - 'null'
          format: date-time
        created_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - condition_type
        - condition_value
        - publishing_failed
        - user_error_message
        - published_at
        - created_at
      title: PostFirstCommentData
    MediaType:
      type: integer
      enum:
        - 1
        - 2
        - 3
        - 4
        - 5
      x-enum-varnames:
        - Image
        - Video
        - Audio
        - Document
        - Subtitles
      description: >-
        `1` Image <br/> `2` Video <br/> `3` Audio <br/> `4` Document <br/> `5`
        Subtitles
      title: MediaType
    MediaOrigin:
      type: integer
      enum:
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
      x-enum-varnames:
        - Import
        - ClickUp
        - GoogleDrive
        - Dropbox
        - Tenor
        - PostComment
        - Api
        - ExternalSync
      description: >-
        `1` Import <br/> `2` ClickUp <br/> `3` GoogleDrive <br/> `4` Dropbox
        <br/> `5` Tenor <br/> `6` PostComment <br/> `7` Api <br/> `8`
        ExternalSync
      title: MediaOrigin
    FirstCommentsCustomizedAccount:
      type: object
      properties:
        enabled:
          type: boolean
        socialAccountIds:
          type: array
          items:
            type: string
        conditionType:
          anyOf:
            - $ref: '#/components/schemas/PostCondition'
            - type: 'null'
        conditionValue:
          type:
            - integer
            - 'null'
        content:
          type:
            - string
            - 'null'
      required:
        - enabled
        - socialAccountIds
        - conditionType
        - conditionValue
        - content
      title: FirstCommentsCustomizedAccount
    PinterestBoardSectionData:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
      required:
        - id
        - name
      title: PinterestBoardSectionData
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer

````